package schelling;

import java.awt.Component;
import java.awt.Container;
import java.awt.Dimension;
import java.awt.Frame;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.Box;
import javax.swing.BoxLayout;
import javax.swing.JButton;
import javax.swing.JDialog;
import javax.swing.JLabel;


/**
 * @author rholguin
 *
 *Creates a warning dialog box with the given String as the text
 */

public class MyDialog extends JDialog implements ActionListener {
	
	private boolean quit;
	
    public MyDialog(Frame parent,String text,boolean q) {
      super(parent, "Warning", true);
      quit = q;
      Container cp = getContentPane();
      cp.setLayout(new BoxLayout(cp, BoxLayout.Y_AXIS));
      
      JLabel message = new JLabel(text);
      message.setAlignmentX(Component.CENTER_ALIGNMENT);
      cp.add(message);
      
      getContentPane().add(Box.createRigidArea(new Dimension(0,10)));
      
      JButton ok = new JButton("OK");
      ok.setAlignmentX(Component.CENTER_ALIGNMENT);
      ok.addActionListener(this);
      cp.add(ok);
      
      //places the dialog box in the middle of the game window no matter where on the screen
      //the window is
      setBounds(parent.getX()+parent.getWidth()/3-30,parent.getY()+parent.getHeight()/3,350,120);
      }
    
    public void actionPerformed(ActionEvent e) {
    	if(quit)
    		System.exit(0);
    	
        dispose(); // Closes the dialog
    }
}